> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/extranets-b2b-peering/customer > Create a new B2B extranet peering service customer ## OpenAPI ````json POST /v1/extranets-b2b-peering/customer { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/extranets-b2b-peering/customer": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsB2bPeeringCustomerPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1ExtranetsB2bPeeringCustomerPostResponse" } } } } }, "description": "Create a new B2B extranet peering service customer" } } }, "components": { "schemas": { "v1ExtranetsB2bPeeringCustomerPostRequest": { "type": "object", "properties": { "invite": { "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServiceCustomerInvite" }, "name": { "type": "string", "example": "example string", "description": "Name of the peering service customer (required)" }, "type": { "type": "string", "example": "ENUM_VALUE", "description": "Type of the peerings servicecustomer whether it is a graphiant or non-graphiant (required)" } }, "additionalProperties": false, "required": [ "invite", "name", "type" ] }, "v1ExtranetsB2bPeeringCustomerPostResponse": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64", "example": 1234567891011 }, "response": { "$ref": "#/components/schemas/manaV2B2bExtranetPeeringServiceCustomerInvite" } }, "additionalProperties": false }, "manaV2B2bExtranetPeeringServiceCustomerInvite": { "type": "object", "properties": { "adminEmail": { "type": "array", "items": { "type": "string", "example": "example string", "description": "Admin emails for the peering service customer (required)" } }, "maximumNumberOfSites": { "type": "integer", "format": "int32", "example": 123, "minimum": 0, "description": "Maximum number of sites for the peering service customer (required)" } }, "additionalProperties": false, "required": [ "adminEmail", "maximumNumberOfSites" ] } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````